Skip to content

Call Forwarding

All operations require authentication.

8 operationsv1/telephony/{billingAccount}
View as Markdown (opens in a new tab)
Agent setup

List DDI numbersProduction

GET
/v1/telephony/{billingAccount}/ddi

List DDI numbers. Returns the DDI numbers of the billing account. A DDI number forwards calls to a destination.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/ddi \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a DDI numberProduction

GET
/v1/telephony/{billingAccount}/ddi/{serviceName}

Get a DDI number. Returns the DDI (direct dial-in) number: feature type and description. The destination is changed with the changeDestination call.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Ddisuccessful operation
description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/ddi/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}

Update a DDI numberProduction

PUT
/v1/telephony/{billingAccount}/ddi/{serviceName}

Update a DDI number. Updates the description of the DDI number. The destination is changed with the changeDestination call.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/ddi/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the DDI destinationProduction

POST
/v1/telephony/{billingAccount}/ddi/{serviceName}/changeDestination

Change the DDI destination. Changes the number calls to the DDI number are forwarded to. Returns the task that performs it.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

destination
required
phoneNumber

The destination

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/ddi/{serviceName}/changeDestination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List redirect numbersProduction

GET
/v1/telephony/{billingAccount}/redirect

List redirect numbers. Returns the redirect numbers of the billing account. A redirect number forwards calls to a destination.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/redirect \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirect numberProduction

GET
/v1/telephony/{billingAccount}/redirect/{serviceName}

Get a redirect number. Returns the redirect number: feature type and description. The destination is changed with the changeDestination call.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Redirectsuccessful operation
description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/redirect/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}

Update a redirect numberProduction

PUT
/v1/telephony/{billingAccount}/redirect/{serviceName}

Update a redirect number. Updates the description of the redirect number. The destination is changed with the changeDestination call.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string
—
destination
read-only
phoneNumber

Phone number

featureType
read-only
TypeEnum

All existing types of line or alias

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/redirect/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the redirect destinationProduction

POST
/v1/telephony/{billingAccount}/redirect/{serviceName}/changeDestination

Change the redirect destination. Changes the number calls are forwarded to. Returns the task that performs it.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

destination
required
phoneNumber

The destination

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/redirect/{serviceName}/changeDestination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}